Skip to Content

Open a WhatsApp owner verification challenge

Requires a signed-in owner. The owner sends the returned code directly from their personal WhatsApp to the listed business number before the code expires.

POST
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test/whatsapp/{accountId}/challenges

Requires a signed-in owner. The owner sends the returned code directly from their personal WhatsApp to the listed business number before the code expires.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

accountId*string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

RecipeChallengeStarted

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
expiresAt*string
address*string
message*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeWhatsAppChallengeBegin({
  "accountId": "example"
});
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "expiresAt": "string",
  "address": "string",
  "message": "string"
}

Related documentation